Package wx :: Class Quantize

[frames | no frames]

## Type Quantize

    object --+
             |
            Quantize

Performs quantization, or colour reduction, on a wxImage.

Method Summary
| `__init__(self)`
bool | ``Quantize`(src, dest, desiredNoColours, flags)` Reduce the colours in the source image and put the result into the destination image, setting the palette in the destination if needed. (Static method)

Property Summary
| `thisown`: The membership flag

Static Method Details

### Quantize(src, dest, desiredNoColours=236, flags=wxQUANTIZE_INCLUDE_WINDOWS_COLOURS|wxQUANTIZE_FILL_DESTIN...)

Reduce the colours in the source image and put the result into the destination image, setting the palette in the destination if needed. Both images may be the same, to overwrite the source image. :todo: Create a version that returns the wx.Palette used.

  Parameters:
    `src`
    (type=Image)

    `dest`
    (type=Image)

    `desiredNoColours`
    (type=int)

    `flags`
    (type=int)

  Returns:
    bool

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:53 2007 | http://epydoc.sf.net